Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.enterprise.sync
Class WorkerThread

    java.lang.Object
      java.lang.Thread
          com.dbxml.db.enterprise.sync.WorkerThread

All Implemented Interfaces:
  java.lang.Runnable

public final class WorkerThread
extends java.lang.Thread

WorkerThread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`WorkerThread()`

Method Summary
`void` | `addGroup(java.lang.String group)`
`void` | `cancelWork()`
`java.lang.String` | `getCurrentFile()`
`java.lang.String` | `getCurrentGroup()`
`java.util.Date` | `getLastSyncDate()`
`dbXMLClient` | `getLocalContentClient()`
`SyncManagerClient` | `getLocalSyncClient()`
`java.util.List` | `getLog()`
`int` | `getPercentComplete()`
`dbXMLClient` | `getSourceContentClient()`
`SyncManagerClient` | `getSourceSyncClient()`
`boolean` | `isError()`
`java.lang.String[]` | `listGroups()`
`void` | `removeGroup(java.lang.String group)`
`void` | `run()`
`void` | `setLocalContentClient(dbXMLClient localContentClient)`
`void` | `setLocalSyncClient(SyncManagerClient localSyncClient)`
`void` | `setSourceContentClient(dbXMLClient sourceContentClient)`
`void` | `setSourceSyncClient(SyncManagerClient sourceSyncClient)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkerThread

    public WorkerThread()

Method Detail

### getSourceSyncClient

    public SyncManagerClient getSourceSyncClient()

### setSourceSyncClient

    public void setSourceSyncClient(SyncManagerClient sourceSyncClient)

### getLocalSyncClient

    public SyncManagerClient getLocalSyncClient()

### setLocalSyncClient

    public void setLocalSyncClient(SyncManagerClient localSyncClient)

### getSourceContentClient

    public dbXMLClient getSourceContentClient()

### setSourceContentClient

    public void setSourceContentClient(dbXMLClient sourceContentClient)

### getLocalContentClient

    public dbXMLClient getLocalContentClient()

### setLocalContentClient

    public void setLocalContentClient(dbXMLClient localContentClient)

### getLastSyncDate

    public java.util.Date getLastSyncDate()

### getCurrentGroup

    public java.lang.String getCurrentGroup()

### getCurrentFile

    public java.lang.String getCurrentFile()

### getPercentComplete

    public int getPercentComplete()

### getLog

    public java.util.List getLog()

### isError

    public boolean isError()

### cancelWork

    public void cancelWork()

### listGroups

    public java.lang.String[] listGroups()

### addGroup

    public void addGroup(java.lang.String group)

### removeGroup

    public void removeGroup(java.lang.String group)

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group